package com.zd.airbottle.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 资格申请详情对象 qp_qualification_apply_detail
 * 
 * @author zd
 * @date 2022-05-10
 */
@ApiModel("资格申请详情")
public class QpQualificationApplyDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id,数据唯一标识 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 气瓶配置表id */
    @Excel(name = "气瓶配置表id")
    @ApiModelProperty(value = "气瓶配置表id")
    private Long airBottleConfigId;
    /** 资格申请id */
    @Excel(name = "资格申请id")
    @ApiModelProperty(value = "资格申请id")
    private Long qualificateApplyId;
    /** 气瓶数量 */
    @Excel(name = "气瓶数量")
    @ApiModelProperty(value = "气瓶数量")
    private Long bottleNumber;
    /** 申请描述 */
    @Excel(name = "申请描述")
    @ApiModelProperty(value = "申请描述")
    private String applyDescribe;

    public void setId(Long id)
    {
        this.id = id;
    }
    public Long getId() 
    {
        return id;
    }
    public void setAirBottleConfigId(Long airBottleConfigId)
    {
        this.airBottleConfigId = airBottleConfigId;
    }
    public Long getAirBottleConfigId()
    {
        return airBottleConfigId;
    }
    public void setQualificateApplyId(Long qualificateApplyId) 
    {
        this.qualificateApplyId = qualificateApplyId;
    }
    public Long getQualificateApplyId() 
    {
        return qualificateApplyId;
    }
    public void setBottleNumber(Long bottleNumber) 
    {
        this.bottleNumber = bottleNumber;
    }
    public Long getBottleNumber() 
    {
        return bottleNumber;
    }
    public String getApplyDescribe() {        return applyDescribe;    }
    public void setApplyDescribe(String applyDescribe) {        this.applyDescribe = applyDescribe;    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("airBottleConfigId", getAirBottleConfigId())
            .append("qualificateApplyId", getQualificateApplyId())
            .append("bottleNumber", getBottleNumber())
            .append("applyDescribe", getApplyDescribe())
            .toString();
    }
}
